Issue 7009

Summary: Xcl Imp/Exp: Various conversion issues
Product: Calc Reporter: Unknown <non-migrated>
Component: codeAssignee: AOO issues mailing list <issues>
Status: ACCEPTED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues
Version: OOo 1.0.1   
Target Milestone: ---   
Hardware: PC   
OS: Windows 98   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description Unknown 2002-08-15 15:26:37 UTC
When opening a large spreadsheet created and saved by Microsoft Office97 (MO)
with a size of eg 3071 KB, and saving this with OpenOffice 1.0.1 (OO), the
resulting size is doubled to 6158 KB in this case. When reopening the OO
spreadsheet with MO,
I get a Name conflict for Built-in name Print_Area, many calculated values are
in error because of the parenthese as in formula [=$K$16+G346*($J$16)]. When
opening an OO saved spreadsheet with OO as wel as opening the original MO
spreadsheet in OO, my disk is being used constantly and the time I have to wait
is enormously, much much longer than doing the same with MO (more than 5 minutes
versus much less than 1 minute). A column width of eg "8" in MO was translated
to "1.67cm" in OO and when saved and reopened in MO then it was reduced to "7.86".
PS: If you want you may split up this issue in several issues ...
Comment 1 Unknown 2002-08-15 16:31:50 UTC
Input file in MO format as well as outputs in MO gormat and in OO
format are temporarily available in http://www.mvdw.com/testoffice/
Comment 2 daniel.rentz 2002-08-16 09:52:34 UTC
1) Size doubled on export: Known, see issue 194
2) Name conflict: fixed in OOo1.0.2 (or 1.0.3), see issue 2394
3) Parentheses in formulas: Known, see issue 3724
4) Performance: Known, see issue 3132
5) Column width: Known, see issue 3006
As you can see, it's not necessary to split this bug :-)
I will keep this issue open so I will not forget to test the fixes
with your document.
Comment 3 daniel.rentz 2002-08-16 09:54:36 UTC
Started
Comment 4 daniel.rentz 2003-01-13 16:57:16 UTC
target->OOoLater
Comment 5 daniel.rentz 2003-08-27 08:32:48 UTC
p3